Bug 1054043 - CVE-2014-0412 CVE-2014-0437 CVE-2013-5908 CVE-2014-0420 CVE-2014-0393 CVE-2013-5891 CVE-2014-0386 CVE-2014-0401 CVE-2014-0402 mariadb: various flaws [fedora-all]
Summary: CVE-2014-0412 CVE-2014-0437 CVE-2013-5908 CVE-2014-0420 CVE-2014-0393 CVE-201...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=bvincent
Depends On:
Blocks: CVE-2013-5891 CVE-2013-5908 CVE-2014-0386 CVE-2014-0393 CVE-2014-0401 CVE-2014-0402 CVE-2014-0412 CVE-2014-0420 CVE-2014-0437
TreeView+ depends on / blocked
 
Reported: 2014-01-16 06:42 UTC by Huzaifa S. Sidhpurwala
Modified: 2014-09-10 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 22:09:55 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-01-16 06:42:42 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-01-16 06:42:52 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1053371,1054043

Comment 2 Huzaifa S. Sidhpurwala 2014-01-16 06:44:18 UTC
Adding parent bug 1053373 (for CVE-2013-5908).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371

Comment 3 Huzaifa S. Sidhpurwala 2014-01-16 06:46:09 UTC
Adding parent bug 1053375 (for CVE-2014-0386).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375

Comment 4 Huzaifa S. Sidhpurwala 2014-01-16 06:47:45 UTC
Adding parent bug 1053377 (for CVE-2014-0393).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375,1053377

Comment 5 Huzaifa S. Sidhpurwala 2014-01-16 06:49:15 UTC
Adding parent bug 1053378 (for CVE-2014-0401).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375,1053377,1053378

Comment 6 Huzaifa S. Sidhpurwala 2014-01-16 06:50:52 UTC
Adding parent bug 1053380 (for CVE-2014-0402).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375,1053377,1053378,1053380

Comment 7 Huzaifa S. Sidhpurwala 2014-01-16 06:52:27 UTC
Adding parent bug 1053381 (for CVE-2014-0412).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375,1053377,1053378,1053380,1053381

Comment 8 Huzaifa S. Sidhpurwala 2014-01-16 06:53:59 UTC
Adding parent bug 1053383 (for CVE-2014-0420).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375,1053377,1053378,1053380,1053381,1053383

Comment 9 Huzaifa S. Sidhpurwala 2014-01-16 06:55:37 UTC
Adding parent bug 1053390 (for CVE-2014-0437).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054043,1053371,1053373,1053375,1053377,1053378,1053380,1053381,1053383,1053390

Comment 10 Honza Horak 2014-01-16 14:22:09 UTC
Only CVE-2013-5908, CVE-2014-0401, CVE-2014-0437, CVE-2014-0420 and CVE-2014-0412 are relevant for current mariadb-5.5.34, but we need to wait for mariadb-5.5.35 release to have a fix, since we have no info to do otherwise.

Setting CondNAK/Upstream until mariadb-5.5.35 is released (should be soon, maximum few weeks).

Comment 11 Honza Horak 2014-06-19 07:48:33 UTC
mariadb-5.5.35 has been in F19+ for some time already, but let's close this bug together with update to mariadb-5.5.38:
http://pkgs.fedoraproject.org/cgit/mariadb.git/commit/?h=f20&id=e5939d8ae1425d2b289394ff92a4b9ffd0d094e0

Comment 12 Brandon Vincent 2014-09-10 22:09:55 UTC
Latest mariadb version in F19/F20 is 5.5.39.


Note You need to log in before you can comment on or make changes to this bug.